VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Paradox Engine: ActiveX edition demo"
   ClientHeight    =   5490
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6330
   LinkTopic       =   "Form1"
   ScaleHeight     =   5490
   ScaleWidth      =   6330
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame frFieldList 
      Caption         =   "Table Information"
      Height          =   2370
      Left            =   120
      TabIndex        =   5
      Top             =   3000
      Width           =   6015
      Begin VB.TextBox txtFieldList 
         Height          =   2010
         Left            =   120
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   6
         Top             =   240
         Width           =   5775
      End
   End
   Begin VB.TextBox txtDirectory 
      Height          =   285
      Left            =   1320
      TabIndex        =   2
      Top             =   240
      Width           =   4815
   End
   Begin VB.Frame frTableList 
      Caption         =   "Table List"
      Height          =   2175
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   6015
      Begin VB.ListBox lstTableList 
         Height          =   1230
         ItemData        =   "frmMain.frx":0000
         Left            =   120
         List            =   "frmMain.frx":0002
         TabIndex        =   4
         Top             =   840
         Width           =   5805
      End
      Begin VB.CommandButton btnTableList 
         Caption         =   "Get Table List"
         Height          =   375
         Left            =   240
         TabIndex        =   3
         Top             =   240
         Width           =   1335
      End
   End
   Begin VB.Label lblDirectory 
      Alignment       =   1  'Right Justify
      Caption         =   "Directory:"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   240
      Width           =   855
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub btnTableList_Click()
  Dim TableList As String
  Dim Str As Variant
  
  lstTableList.Clear
  
  Set pdx = CreateObject("PdxViewA.TScalabiumParadoxReader")
  pdx.GetTableNames txtDirectory.Text, "*.db", TableList

  lstTables = Split(TableList, Chr$(13) & Chr$(10))
  For Each Str In lstTables
    lstTableList.AddItem Str
  Next
 
  Set pdx = Nothing
End Sub

Private Sub Form_Load()
  txtDirectory.Text = App.Path
End Sub

Private Sub lstTableList_Click()
  Dim FieldList As String
     
  txtFieldList.Text = ""
  
  Set pdx = CreateObject("PdxViewA.TScalabiumParadoxReader")
  
  Dim strTableName As String
  strTableName = lstTableList.List(lstTableList.ListIndex)
  pdx.GetFieldList strTableName, FieldList
   
  Dim s As String
  Dim sFieldItem As Variant
  
  lstFields = Split(FieldList, Chr$(13) & Chr$(10))
  For Each sFieldItem In lstFields
    If (sFieldItem <> "") Then
      lstFieldInfo = Split(sFieldItem, ":")
      s = "Field Name is " & lstFieldInfo(0) & ", Type is " & lstFieldInfo(1) & ", Size is " & lstFieldInfo(2)
        
      txtFieldList.Text = txtFieldList.Text & s & Chr$(13) & Chr$(10)
    End If
  Next
 
  Set pdx = Nothing
End Sub
